// Project Lab - NHTV Igad

#pragma once

#include "MenuButton.h"
#include "MapSlot.generated.h"

/**
 * 
 */
UCLASS()
class UNREALPROJECT_API UMapSlot : public UMenuButton
{
	GENERATED_BODY()

public:
	virtual void NativeConstruct() override;

	UFUNCTION(BlueprintNativeEvent, Category = "Slot")
	void OnMapSet();

	UPROPERTY(BlueprintReadOnly, Category = "Slot")
	class UMapSelectionScreen* mapScreen;
	UPROPERTY(BlueprintReadOnly, Category = "Slot")
	class UMapData* mapData;
};
